<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.6.0_65) on Wed Jun 25 14:23:49 JST 2014 -->
<TITLE>
QuorumZooKeeperServer
</TITLE>

<META NAME="date" CONTENT="2014-06-25">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="QuorumZooKeeperServer";
    }
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">
<HR>


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../../org/apache/zookeeper/server/quorum/QuorumStats.Provider.html" title="interface in org.apache.zookeeper.server.quorum"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../../org/apache/zookeeper/server/quorum/ReadOnlyBean.html" title="class in org.apache.zookeeper.server.quorum"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../index.html?org/apache/zookeeper/server/quorum/QuorumZooKeeperServer.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="QuorumZooKeeperServer.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;<A HREF="#nested_classes_inherited_from_class_org.apache.zookeeper.server.ZooKeeperServer">NESTED</A>&nbsp;|&nbsp;<A HREF="#field_summary">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;<A HREF="#field_detail">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
org.apache.zookeeper.server.quorum</FONT>
<BR>
Class QuorumZooKeeperServer</H2>
<PRE>
java.lang.Object
  <IMG SRC="../../../../../resources/inherit.gif" ALT="extended by "><A HREF="../../../../../org/apache/zookeeper/server/ZooKeeperServer.html" title="class in org.apache.zookeeper.server">org.apache.zookeeper.server.ZooKeeperServer</A>
      <IMG SRC="../../../../../resources/inherit.gif" ALT="extended by "><B>org.apache.zookeeper.server.quorum.QuorumZooKeeperServer</B>
</PRE>
<DL>
<DT><B>All Implemented Interfaces:</B> <DD><A HREF="../../../../../org/apache/zookeeper/server/ServerStats.Provider.html" title="interface in org.apache.zookeeper.server">ServerStats.Provider</A>, <A HREF="../../../../../org/apache/zookeeper/server/SessionTracker.SessionExpirer.html" title="interface in org.apache.zookeeper.server">SessionTracker.SessionExpirer</A></DD>
</DL>
<DL>
<DT><B>Direct Known Subclasses:</B> <DD><A HREF="../../../../../org/apache/zookeeper/server/quorum/LeaderZooKeeperServer.html" title="class in org.apache.zookeeper.server.quorum">LeaderZooKeeperServer</A>, <A HREF="../../../../../org/apache/zookeeper/server/quorum/LearnerZooKeeperServer.html" title="class in org.apache.zookeeper.server.quorum">LearnerZooKeeperServer</A>, <A HREF="../../../../../org/apache/zookeeper/server/quorum/ReadOnlyZooKeeperServer.html" title="class in org.apache.zookeeper.server.quorum">ReadOnlyZooKeeperServer</A></DD>
</DL>
<HR>
<DL>
<DT><PRE>public abstract class <B>QuorumZooKeeperServer</B><DT>extends <A HREF="../../../../../org/apache/zookeeper/server/ZooKeeperServer.html" title="class in org.apache.zookeeper.server">ZooKeeperServer</A></DL>
</PRE>

<P>
Abstract base class for all ZooKeeperServers that participate in
 a quorum.
<P>

<P>
<HR>

<P>
<!-- ======== NESTED CLASS SUMMARY ======== -->

<A NAME="nested_class_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Nested Class Summary</B></FONT></TH>
</TR>
</TABLE>
&nbsp;<A NAME="nested_classes_inherited_from_class_org.apache.zookeeper.server.ZooKeeperServer"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Nested classes/interfaces inherited from class org.apache.zookeeper.server.<A HREF="../../../../../org/apache/zookeeper/server/ZooKeeperServer.html" title="class in org.apache.zookeeper.server">ZooKeeperServer</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../../org/apache/zookeeper/server/ZooKeeperServer.BasicDataTreeBuilder.html" title="class in org.apache.zookeeper.server">ZooKeeperServer.BasicDataTreeBuilder</A>, <A HREF="../../../../../org/apache/zookeeper/server/ZooKeeperServer.DataTreeBuilder.html" title="interface in org.apache.zookeeper.server">ZooKeeperServer.DataTreeBuilder</A>, <A HREF="../../../../../org/apache/zookeeper/server/ZooKeeperServer.MissingSessionException.html" title="class in org.apache.zookeeper.server">ZooKeeperServer.MissingSessionException</A></CODE></TD>
</TR>
</TABLE>
&nbsp;
<!-- =========== FIELD SUMMARY =========== -->

<A NAME="field_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Field Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;<A HREF="../../../../../org/apache/zookeeper/server/quorum/QuorumPeer.html" title="class in org.apache.zookeeper.server.quorum">QuorumPeer</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/zookeeper/server/quorum/QuorumZooKeeperServer.html#self">self</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;<A NAME="fields_inherited_from_class_org.apache.zookeeper.server.ZooKeeperServer"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Fields inherited from class org.apache.zookeeper.server.<A HREF="../../../../../org/apache/zookeeper/server/ZooKeeperServer.html" title="class in org.apache.zookeeper.server">ZooKeeperServer</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../../org/apache/zookeeper/server/ZooKeeperServer.html#DEFAULT_TICK_TIME">DEFAULT_TICK_TIME</A>, <A HREF="../../../../../org/apache/zookeeper/server/ZooKeeperServer.html#firstProcessor">firstProcessor</A>, <A HREF="../../../../../org/apache/zookeeper/server/ZooKeeperServer.html#hzxid">hzxid</A>, <A HREF="../../../../../org/apache/zookeeper/server/ZooKeeperServer.html#jmxDataTreeBean">jmxDataTreeBean</A>, <A HREF="../../../../../org/apache/zookeeper/server/ZooKeeperServer.html#jmxServerBean">jmxServerBean</A>, <A HREF="../../../../../org/apache/zookeeper/server/ZooKeeperServer.html#LOG">LOG</A>, <A HREF="../../../../../org/apache/zookeeper/server/ZooKeeperServer.html#maxSessionTimeout">maxSessionTimeout</A>, <A HREF="../../../../../org/apache/zookeeper/server/ZooKeeperServer.html#minSessionTimeout">minSessionTimeout</A>, <A HREF="../../../../../org/apache/zookeeper/server/ZooKeeperServer.html#ok">ok</A>, <A HREF="../../../../../org/apache/zookeeper/server/ZooKeeperServer.html#running">running</A>, <A HREF="../../../../../org/apache/zookeeper/server/ZooKeeperServer.html#sessionTracker">sessionTracker</A>, <A HREF="../../../../../org/apache/zookeeper/server/ZooKeeperServer.html#tickTime">tickTime</A></CODE></TD>
</TR>
</TABLE>
&nbsp;
<!-- ======== CONSTRUCTOR SUMMARY ======== -->

<A NAME="constructor_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Constructor Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected </CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/zookeeper/server/quorum/QuorumZooKeeperServer.html#QuorumZooKeeperServer(org.apache.zookeeper.server.persistence.FileTxnSnapLog, int, int, int, org.apache.zookeeper.server.ZooKeeperServer.DataTreeBuilder, org.apache.zookeeper.server.ZKDatabase, org.apache.zookeeper.server.quorum.QuorumPeer)">QuorumZooKeeperServer</A></B>(org.apache.zookeeper.server.persistence.FileTxnSnapLog&nbsp;logFactory,
                      int&nbsp;tickTime,
                      int&nbsp;minSessionTimeout,
                      int&nbsp;maxSessionTimeout,
                      <A HREF="../../../../../org/apache/zookeeper/server/ZooKeeperServer.DataTreeBuilder.html" title="interface in org.apache.zookeeper.server">ZooKeeperServer.DataTreeBuilder</A>&nbsp;treeBuilder,
                      <A HREF="../../../../../org/apache/zookeeper/server/ZKDatabase.html" title="class in org.apache.zookeeper.server">ZKDatabase</A>&nbsp;zkDb,
                      <A HREF="../../../../../org/apache/zookeeper/server/quorum/QuorumPeer.html" title="class in org.apache.zookeeper.server.quorum">QuorumPeer</A>&nbsp;self)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Method Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/zookeeper/server/quorum/QuorumZooKeeperServer.html#dumpConf(java.io.PrintWriter)">dumpConf</A></B>(java.io.PrintWriter&nbsp;pwriter)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_org.apache.zookeeper.server.ZooKeeperServer"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class org.apache.zookeeper.server.<A HREF="../../../../../org/apache/zookeeper/server/ZooKeeperServer.html" title="class in org.apache.zookeeper.server">ZooKeeperServer</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../../org/apache/zookeeper/server/ZooKeeperServer.html#checkPasswd(long, byte[])">checkPasswd</A>, <A HREF="../../../../../org/apache/zookeeper/server/ZooKeeperServer.html#closeSession(long)">closeSession</A>, <A HREF="../../../../../org/apache/zookeeper/server/ZooKeeperServer.html#closeSession(org.apache.zookeeper.server.ServerCnxn, RequestHeader)">closeSession</A>, <A HREF="../../../../../org/apache/zookeeper/server/ZooKeeperServer.html#createSessionTracker()">createSessionTracker</A>, <A HREF="../../../../../org/apache/zookeeper/server/ZooKeeperServer.html#decInProcess()">decInProcess</A>, <A HREF="../../../../../org/apache/zookeeper/server/ZooKeeperServer.html#dumpEphemerals(java.io.PrintWriter)">dumpEphemerals</A>, <A HREF="../../../../../org/apache/zookeeper/server/ZooKeeperServer.html#expire(org.apache.zookeeper.server.SessionTracker.Session)">expire</A>, <A HREF="../../../../../org/apache/zookeeper/server/ZooKeeperServer.html#finishSessionInit(org.apache.zookeeper.server.ServerCnxn, boolean)">finishSessionInit</A>, <A HREF="../../../../../org/apache/zookeeper/server/ZooKeeperServer.html#getClientPort()">getClientPort</A>, <A HREF="../../../../../org/apache/zookeeper/server/ZooKeeperServer.html#getGlobalOutstandingLimit()">getGlobalOutstandingLimit</A>, <A HREF="../../../../../org/apache/zookeeper/server/ZooKeeperServer.html#getInProcess()">getInProcess</A>, <A HREF="../../../../../org/apache/zookeeper/server/ZooKeeperServer.html#getLastProcessedZxid()">getLastProcessedZxid</A>, <A HREF="../../../../../org/apache/zookeeper/server/ZooKeeperServer.html#getMaxSessionTimeout()">getMaxSessionTimeout</A>, <A HREF="../../../../../org/apache/zookeeper/server/ZooKeeperServer.html#getMinSessionTimeout()">getMinSessionTimeout</A>, <A HREF="../../../../../org/apache/zookeeper/server/ZooKeeperServer.html#getNumAliveConnections()">getNumAliveConnections</A>, <A HREF="../../../../../org/apache/zookeeper/server/ZooKeeperServer.html#getOutstandingRequests()">getOutstandingRequests</A>, <A HREF="../../../../../org/apache/zookeeper/server/ZooKeeperServer.html#getServerCnxnFactory()">getServerCnxnFactory</A>, <A HREF="../../../../../org/apache/zookeeper/server/ZooKeeperServer.html#getServerId()">getServerId</A>, <A HREF="../../../../../org/apache/zookeeper/server/ZooKeeperServer.html#getSnapCount()">getSnapCount</A>, <A HREF="../../../../../org/apache/zookeeper/server/ZooKeeperServer.html#getState()">getState</A>, <A HREF="../../../../../org/apache/zookeeper/server/ZooKeeperServer.html#getTickTime()">getTickTime</A>, <A HREF="../../../../../org/apache/zookeeper/server/ZooKeeperServer.html#getTxnLogFactory()">getTxnLogFactory</A>, <A HREF="../../../../../org/apache/zookeeper/server/ZooKeeperServer.html#getZKDatabase()">getZKDatabase</A>, <A HREF="../../../../../org/apache/zookeeper/server/ZooKeeperServer.html#getZxid()">getZxid</A>, <A HREF="../../../../../org/apache/zookeeper/server/ZooKeeperServer.html#incInProcess()">incInProcess</A>, <A HREF="../../../../../org/apache/zookeeper/server/ZooKeeperServer.html#isRunning()">isRunning</A>, <A HREF="../../../../../org/apache/zookeeper/server/ZooKeeperServer.html#killSession(long, long)">killSession</A>, <A HREF="../../../../../org/apache/zookeeper/server/ZooKeeperServer.html#loadData()">loadData</A>, <A HREF="../../../../../org/apache/zookeeper/server/ZooKeeperServer.html#processConnectRequest(org.apache.zookeeper.server.ServerCnxn, java.nio.ByteBuffer)">processConnectRequest</A>, <A HREF="../../../../../org/apache/zookeeper/server/ZooKeeperServer.html#processPacket(org.apache.zookeeper.server.ServerCnxn, java.nio.ByteBuffer)">processPacket</A>, <A HREF="../../../../../org/apache/zookeeper/server/ZooKeeperServer.html#processTxn(TxnHeader, org.apache.jute.Record)">processTxn</A>, <A HREF="../../../../../org/apache/zookeeper/server/ZooKeeperServer.html#registerJMX()">registerJMX</A>, <A HREF="../../../../../org/apache/zookeeper/server/ZooKeeperServer.html#reopenSession(org.apache.zookeeper.server.ServerCnxn, long, byte[], int)">reopenSession</A>, <A HREF="../../../../../org/apache/zookeeper/server/ZooKeeperServer.html#revalidateSession(org.apache.zookeeper.server.ServerCnxn, long, int)">revalidateSession</A>, <A HREF="../../../../../org/apache/zookeeper/server/ZooKeeperServer.html#serverStats()">serverStats</A>, <A HREF="../../../../../org/apache/zookeeper/server/ZooKeeperServer.html#setMaxSessionTimeout(int)">setMaxSessionTimeout</A>, <A HREF="../../../../../org/apache/zookeeper/server/ZooKeeperServer.html#setMinSessionTimeout(int)">setMinSessionTimeout</A>, <A HREF="../../../../../org/apache/zookeeper/server/ZooKeeperServer.html#setOwner(long, java.lang.Object)">setOwner</A>, <A HREF="../../../../../org/apache/zookeeper/server/ZooKeeperServer.html#setServerCnxnFactory(org.apache.zookeeper.server.ServerCnxnFactory)">setServerCnxnFactory</A>, <A HREF="../../../../../org/apache/zookeeper/server/ZooKeeperServer.html#setTickTime(int)">setTickTime</A>, <A HREF="../../../../../org/apache/zookeeper/server/ZooKeeperServer.html#setTxnLogFactory(org.apache.zookeeper.server.persistence.FileTxnSnapLog)">setTxnLogFactory</A>, <A HREF="../../../../../org/apache/zookeeper/server/ZooKeeperServer.html#setupRequestProcessors()">setupRequestProcessors</A>, <A HREF="../../../../../org/apache/zookeeper/server/ZooKeeperServer.html#setZKDatabase(org.apache.zookeeper.server.ZKDatabase)">setZKDatabase</A>, <A HREF="../../../../../org/apache/zookeeper/server/ZooKeeperServer.html#setZxid(long)">setZxid</A>, <A HREF="../../../../../org/apache/zookeeper/server/ZooKeeperServer.html#shouldThrottle(long)">shouldThrottle</A>, <A HREF="../../../../../org/apache/zookeeper/server/ZooKeeperServer.html#shutdown()">shutdown</A>, <A HREF="../../../../../org/apache/zookeeper/server/ZooKeeperServer.html#startdata()">startdata</A>, <A HREF="../../../../../org/apache/zookeeper/server/ZooKeeperServer.html#startSessionTracker()">startSessionTracker</A>, <A HREF="../../../../../org/apache/zookeeper/server/ZooKeeperServer.html#startup()">startup</A>, <A HREF="../../../../../org/apache/zookeeper/server/ZooKeeperServer.html#submitRequest(org.apache.zookeeper.server.Request)">submitRequest</A>, <A HREF="../../../../../org/apache/zookeeper/server/ZooKeeperServer.html#takeSnapshot()">takeSnapshot</A>, <A HREF="../../../../../org/apache/zookeeper/server/ZooKeeperServer.html#truncateLog(long)">truncateLog</A>, <A HREF="../../../../../org/apache/zookeeper/server/ZooKeeperServer.html#unregisterJMX()">unregisterJMX</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.lang.Object"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class java.lang.Object</B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</CODE></TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ============ FIELD DETAIL =========== -->

<A NAME="field_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Field Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="self"><!-- --></A><H3>
self</H3>
<PRE>
protected final <A HREF="../../../../../org/apache/zookeeper/server/quorum/QuorumPeer.html" title="class in org.apache.zookeeper.server.quorum">QuorumPeer</A> <B>self</B></PRE>
<DL>
<DL>
</DL>
</DL>

<!-- ========= CONSTRUCTOR DETAIL ======== -->

<A NAME="constructor_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Constructor Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="QuorumZooKeeperServer(org.apache.zookeeper.server.persistence.FileTxnSnapLog, int, int, int, org.apache.zookeeper.server.ZooKeeperServer.DataTreeBuilder, org.apache.zookeeper.server.ZKDatabase, org.apache.zookeeper.server.quorum.QuorumPeer)"><!-- --></A><H3>
QuorumZooKeeperServer</H3>
<PRE>
protected <B>QuorumZooKeeperServer</B>(org.apache.zookeeper.server.persistence.FileTxnSnapLog&nbsp;logFactory,
                                int&nbsp;tickTime,
                                int&nbsp;minSessionTimeout,
                                int&nbsp;maxSessionTimeout,
                                <A HREF="../../../../../org/apache/zookeeper/server/ZooKeeperServer.DataTreeBuilder.html" title="interface in org.apache.zookeeper.server">ZooKeeperServer.DataTreeBuilder</A>&nbsp;treeBuilder,
                                <A HREF="../../../../../org/apache/zookeeper/server/ZKDatabase.html" title="class in org.apache.zookeeper.server">ZKDatabase</A>&nbsp;zkDb,
                                <A HREF="../../../../../org/apache/zookeeper/server/quorum/QuorumPeer.html" title="class in org.apache.zookeeper.server.quorum">QuorumPeer</A>&nbsp;self)</PRE>
<DL>
</DL>

<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Method Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="dumpConf(java.io.PrintWriter)"><!-- --></A><H3>
dumpConf</H3>
<PRE>
public void <B>dumpConf</B>(java.io.PrintWriter&nbsp;pwriter)</PRE>
<DL>
<DD><DL>
<DT><B>Overrides:</B><DD><CODE><A HREF="../../../../../org/apache/zookeeper/server/ZooKeeperServer.html#dumpConf(java.io.PrintWriter)">dumpConf</A></CODE> in class <CODE><A HREF="../../../../../org/apache/zookeeper/server/ZooKeeperServer.html" title="class in org.apache.zookeeper.server">ZooKeeperServer</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../../org/apache/zookeeper/server/quorum/QuorumStats.Provider.html" title="interface in org.apache.zookeeper.server.quorum"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../../org/apache/zookeeper/server/quorum/ReadOnlyBean.html" title="class in org.apache.zookeeper.server.quorum"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../index.html?org/apache/zookeeper/server/quorum/QuorumZooKeeperServer.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="QuorumZooKeeperServer.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;<A HREF="#nested_classes_inherited_from_class_org.apache.zookeeper.server.ZooKeeperServer">NESTED</A>&nbsp;|&nbsp;<A HREF="#field_summary">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;<A HREF="#field_detail">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
